Subject: Re: [bug#32196] [PATCH core-updates] packages, scripts, utils: Disable threaded xz compression.
From: Marius Bakke <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Sun, 22 Jul 2018 18:06:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Ludovic Courtès) writes:

> Hi Marius,
>
> Marius Bakke <[email-masked]> skribis:
>
>> Archives produces by "xz --threads" are not reproducible: they depend on the
>> number of cores used for compressing.  See <https://bugs.gnu.org/31015>.
>>
>> * guix/packages.scm (patch-and-repack): Explicitly use 1 thread for compression.
>> * guix/scripts/pack.scm (%compressors, bootstrap-xz): Likewise.
>> * guix/utils.scm (decompressed-port, compressed-port, compressed-output-port):
>> Likewise.
>
> I hadn’t noticed -T0 had made it to ‘master’.
>
> I’d suggest removing 63102406f22412bb922de5549deb89d3594a38c0 on master
> (no rebuild needed), with a reference to #31015 in the commit log.  And
> then similarly reverting c8a3dea847bb9f87fa1876d0c6c3356d6226f121 on
> ‘core-updates’.
>
> Sounds good?

Done in commits e9be2c5409f37173d70b202aa06752e3814ccdc2 and
3e95125e9bd0676d4a9add9105217ad3eaef3ff0.

> If we’re concerned about speed, perhaps we should switch to lzip, which
> I think has better behavior.

That sounds great.  lzip has other benefits too, such as the ability to
recover from bit flips.  Recommended reading:
<https://www.nongnu.org/lzip/xz_inadequate.html>.